package com.fjhx.oa.service.contacts;

import com.fjhx.oa.entity.contacts.po.Contacts;
import com.ruoyi.common.core.service.BaseService;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.contacts.vo.ContactsVo;
import com.fjhx.oa.entity.contacts.dto.ContactsSelectDto;
import com.fjhx.oa.entity.contacts.dto.ContactsDto;

import java.util.List;


/**
 * <p>
 * 外部通讯录联系人 服务类
 * </p>
 *
 * @author
 * @since 2023-04-06
 */
public interface ContactsService extends BaseService<Contacts> {

    /**
     * 外部通讯录联系人分页
     */
    Page<ContactsVo> getPage(ContactsSelectDto dto);

    /**
     * 外部通讯录联系人明细
     */
    ContactsVo detail(Long id);

    /**
     * 外部通讯录联系人新增
     */
    void add(ContactsDto contactsDto);

    /**
     * 外部通讯录联系人编辑
     */
    void edit(ContactsDto contactsDto);

    /**
     * 外部通讯录联系人删除
     */
    void delete(Long id);

    List<Contacts> getList();
}
